diff --git a/src/tools.c b/src/tools.c
index dce79602fc41..ae1ad02b92e8 100644
--- a/src/tools.c
+++ b/src/tools.c
@@ -2110,6 +2110,7 @@ const char *parse_time_err(const char *text, unsigned *ret, unsigned unit_flags)
 		if (text[1] == 's') {
 			idiv = 1000000;
 			text++;
+			break;
 		}
 		return text;
 	case 'm': /* millisecond : "ms" or minute: "m" */
